# Yahoo! UI Library

### dataschema 3.3.0

Yahoo! UI Library > dataschema > DataSchema.Array
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class DataSchema.Array - extends DataSchema.Base

Array subclass for the DataSchema Utility.

### Methods

#### _parseResults

`protected static Object _parseResults ( fields , array_in , data_out )`
Schema-parsed list of results from full data

Parameters:
  `fields <Array>` Schema to parse against.
  `array_in <Array>` Array to parse.
  `data_out <Object>` In-progress parsed data to update.

Returns: `Object`
  Parsed data object.

#### apply

`static Object apply ( schema , data )`
Applies a given schema to given Array data.

Parameters:
  `schema <Object>` Schema to apply.
  `data <Object>` Array data.

Returns: `Object`
  Schema-parsed data.

#### Methods inherited from DataSchema.Base:

`parse`

Copyright © 2011 Yahoo! Inc. All rights reserved.